Subject: Re: bug#26233: 26.0.50; [PATCH] Improve documentation for display-buffer-alist

From: Jens Lechtenboerger <[email-masked]>
Date: Sat, 25 Mar 2017 09:00:02 +0100

On 2017-03-24, at 19:54, martin rudalics wrote:

>> in Bug#25946 we discussed how to replace the obsolete variables
>> special-display-buffer-names and special-display-regexps.  The
>> attached patch extends the doc string of display-buffer-alist based
>> on that discussion.
>
> Thanks.  Personally I'd prefer having that in the Elisp manual.  Either
> in a new subsection or at the end of section 27.14 Action Functions for
> `display-buffer'?  Code in doc-strings is sometimes tedious to read.

I'm surprised.  I consider that information relevant to ordinary
users, not only developers.  As pointed out by Drew Adams, probably
a new section in the Emacs manual is necessary.  Also, she convinced
me that much more information is necessary, which I'm unable to
provide.

Best wishes
Jens